/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: gui_main.h,v 1.3 2000/12/11 19:37:53 f1rmb Exp $
 *
 */

#ifndef GUI_MAIN_H
#define GUI_MAIN_H

#include <Imlib.h>
#include "gui_widget.h"


char *gui_get_skindir(const char file[]);

typedef struct gui_move_s {
    int enabled;
    int offset_x;
    int offset_y;
} gui_move_t;

typedef struct gui_color_s {
    XColor red;
    XColor blue;
    XColor green;
    XColor white;
    XColor black;
    XColor tmp;
} gui_color_t;
gui_color_t gui_color;

typedef struct gui_image_s {
  Pixmap image;
  int width;
  int height;
} gui_image_t;

gui_image_t *gui_load_image(const char *image);

void gui_start (int nfiles, char *filenames[]);

void gui_status_callback (int nStatus) ;

void gui_dndcallback (char *filename) ;

#endif
