/* 
 * Copyright (C) 2000 the xine project
 * 
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: gui_parseskin.c,v 1.1 2000/12/11 19:37:53 f1rmb Exp $
 *
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "configfile.h"
#include "monitor.h"

char *gui_get_skindir(const char *file) {
  static char tmp[256];
  char *skin;

  skin = config_file_lookup_str ("skin", "default");

  sprintf(tmp, "%s/%s/%s", XINE_SKINDIR, skin, file);

  return tmp;
}

#define LN_FORWARD   {                                                      \
                      while(*ln == ' ' || *ln == '\t' || *ln == ':') ++ln;  \
                      while(*ln != ':' && *ln != ' ' && *ln != '\t'         \
                            && *ln != '\n' && *ln != 0) ++ln;               \
                      ++ln;                                                 \
                      while(*ln == ' ' || *ln == '\t' || *ln == ':') ++ln;  \
                     }
int gui_get_skinX(const char *str) {
  FILE *fd_read;
  char skincfgfile[1024], tok[80],
    *skin, buf[256], *ln = buf;
  int ret = 0;

  skin = config_file_lookup_str ("skin", "default");

  snprintf(skincfgfile, 1024, "%s/%s/skinconfig", XINE_SKINDIR, skin);
  snprintf(tok, 80, "%s:", str);

  if((fd_read = fopen(skincfgfile, "r")) != NULL) {
    ln = fgets(buf, 255, fd_read);
    while(ln != NULL) {
      while(*ln == ' ' || *ln == '\t') ++ln ;
      
      if(!strncasecmp(ln, tok, strlen(tok))) {
	LN_FORWARD;
	ret = strtol(ln, &ln, 10);
	
      }
      ln = fgets(buf, 256, fd_read);
    }
    fclose(fd_read);
  } 
  else {
    fprintf(stderr, "Unable to open '%s'. Exiting.\n", skincfgfile);
    exit(-1);
  }
    
  return ret;
}

int gui_get_skinY(const char *str) {
  FILE *fd_read;
  char skincfgfile[1024], tok[80], 
    *skin, buf[256], *ln = buf;
  int ret = 0;

  skin = config_file_lookup_str ("skin", "default");

  snprintf(skincfgfile, 1024, "%s/%s/skinconfig", XINE_SKINDIR, skin);
  snprintf(tok, 80, "%s:", str);

  if((fd_read = fopen(skincfgfile, "r")) != NULL) {
    ln = fgets(buf, 255, fd_read);
    while(ln != NULL) {
      while(*ln == ' ' || *ln == '\t') ++ln ;
      
      if(!strncasecmp(ln, tok, strlen(tok))) {
	LN_FORWARD;
	LN_FORWARD;
	ret = strtol(ln, &ln, 10);
	
      }
      ln = fgets(buf, 256, fd_read);
    }
    fclose(fd_read);
  }
  else {
    fprintf(stderr, "Unable to open '%s'. Exiting.\n", skincfgfile);
    exit(-1);
  }

  return ret;
}

char *gui_get_skinfile(const char *str) {
  FILE *fd_read;
  char skincfgfile[1024], tok[80],
    *skin, *ret, tmp2[256],
    buf[256], *ln = buf;

  skin = config_file_lookup_str ("skin", "default");

  snprintf(skincfgfile, 1024, "%s/%s/skinconfig", XINE_SKINDIR, skin);
  snprintf(tok, 80, "%s:", str);

  if((fd_read = fopen(skincfgfile, "r")) != NULL) {
    ln = fgets(buf, 255, fd_read);
    while(ln != NULL) {
      while(*ln == ' ' || *ln == '\t') ++ln ;
      
      if(!strncasecmp(ln, tok, strlen(tok))) {
	LN_FORWARD;
	LN_FORWARD;
	LN_FORWARD;
	if((strlen(ln)) > 1) {
	  strncpy(tmp2, ln, strlen(ln) - 1);
	  tmp2[strlen(ln) - 1] = '\0';
	}
	
      }
      ln = fgets(buf, 256, fd_read);
    }
    fclose(fd_read);
  }
  else {
    fprintf(stderr, "Unable to open '%s'. Exiting.\n", skincfgfile);
    exit(-1);
  }
  
  ret = (char *) malloc(strlen(XINE_SKINDIR)+strlen(skin)+strlen(tmp2)+3);
  memset(ret, 0, sizeof(ret));
  sprintf(ret, "%s/%s/%s", XINE_SKINDIR, skin, tmp2);

  return ret;
}
